<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Обмен'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
echo '<link rel="stylesheet" href="style.css" type="text/css" />';
include_once 'function.php';

$action=htmlspecialchars(trim($_GET['action']));


switch ($action){



case 'opt':
if(isset($_POST['submit'])) {

$num=(int)$_POST['num'];
if(!$num || $num<1){echo 'Укажите цену!';break;};
if($tanks_code['zolota']<$num){echo 'У вас на счету нет столько золота!';break;};
$baks=$num*1;
mysql_query("UPDATE `tanks` SET `experience`=`experience`+'$baks' WHERE `id_u`='".$user['id']."'") ;
mysql_query("UPDATE `tanks` SET `zolota`=`zolota`-'$num' WHERE `id_u`='".$user['id']."'");

if (mysql_query("UPDATE `tanks` SET `zolota`=`zolota`-'$num' WHERE `id_u`='".$user['id']."'") &&
mysql_query("UPDATE `tanks` SET `experience`=`experience`+'$baks' WHERE `id_u`='".$user['id']."'") == true){};
header("Refresh: 1; url=exchange.php?action=opt");
echo 'Поздравляю вы успешно пополнили ваш счет в игре';

}


echo '<div class="trnt-block">
  <div class="wrap1">
    <div class="wrap2">
      <div class="wrap3">
        <div class="wrap4">
          <div class="wrap5">
            <div class="wrap6">
              <div class="wrap7">
                <div class="wrap8">
                  <div class="wrap-content">

                    <form id="id2" method="post" action="?action=opt">
                      <div style="width:0px;height:0px;position:absolute;left:-100px;top:-100px;overflow:hidden">
                        <input type="hidden" name="id2_hf_0" id="id2_hf_0">
                      </div>
                      <div class="small bold white sh_b cntr mb10">
                        <img src="images/icons/gold.png" alt="Золото" title="Золото">
                         1 золота = 1 опыт
                        <br>
                        <input class="fld-chng" value="" name="num">
                      </div>
                      <div class="bot">
                        <span class="input-but border">
                          <span>
                            <input class="w100" name="submit" type="submit" value="Обменять">
                          </span>
                        </span>
                      </div>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>';

break;

case 'price':

if(isset($_POST['submit'])) {

$num=(int)$_POST['num'];
if(!$num || $num<1){echo 'Укажите цену!';break;};
if($tanks_code['zolota']<$num){echo 'У вас на счету нет столько золота!';break;};
$baks=$num*1;
mysql_query("UPDATE `tanks` SET `serebro`=`serebro`+'$baks'+'$baks' WHERE `id_u`='".$user['id']."'") ;
mysql_query("UPDATE `tanks` SET `zolota`=`zolota`-'$num' WHERE `id_u`='".$user['id']."'");

if (mysql_query("UPDATE `tanks` SET `zolota`=`zolota`-'$num' WHERE `id_u`='".$user['id']."'") &&
mysql_query("UPDATE `tanks` SET `serebro`=`serebro`+'$baks'+'$baks' WHERE `id_u`='".$user['id']."'") == true){};
header("Refresh: 1; url=price.php");
echo 'Поздравляю вы успешно пополнили ваш счет в игре';

}


echo '<div class="trnt-block">
  <div class="wrap1">
    <div class="wrap2">
      <div class="wrap3">
        <div class="wrap4">
          <div class="wrap5">
            <div class="wrap6">
              <div class="wrap7">
                <div class="wrap8">
                  <div class="wrap-content">

                    <form id="id2" method="post" action="?action=price">
                      <div style="width:0px;height:0px;position:absolute;left:-100px;top:-100px;overflow:hidden">
                        <input type="hidden" name="id2_hf_0" id="id2_hf_0">
                      </div>
                      <div class="small bold white sh_b cntr mb10">
                        <img src="images/icons/gold.png" alt="Золото" title="Золото">
                         1 золота = 1 опыт
                        <br>
                        <input class="fld-chng" value="" name="num">
                      </div>
                      <div class="bot">
                        <span class="input-but border">
                          <span>
                            <input class="w100" name="submit" type="submit" value="Обменять">
                          </span>
                        </span>
                      </div>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>';

break;

break;

}

include_once '../sys/inc/tfoot.php';
?>